<?php

//Smooth Scroll Option
$settings = array(
	'id'			=> 'smooth-opt',
	'type'			=> 'toggle',
	'title'			=> esc_html__( 'Smooth Scroll Option', 'miion' ),
	'description'	=> esc_html__( 'Enable/Disable to append smooth scroll js to website.', 'miion' ),
	'default'		=> '',
	'refresh'		=> 1
);
MiionCustomizerConfig::buildFields( $settings );

//Scroll Time
$settings = array(
	'id'			=> 'scroll-time',
	'type'			=> 'text',
	'title'			=> esc_html__( 'Scroll Time', 'miion' ),
	'description'	=> esc_html__( 'Enter smooth scroll time in milliseconds. Example 600', 'miion' ),
	'default'		=> '600',
	'required'		=> array( 'smooth-opt', '=', 1 ),
	'refresh'		=> 1
);
MiionCustomizerConfig::buildFields( $settings );

//Scroll Distance
$settings = array(
	'id'			=> 'scroll-distance',
	'type'			=> 'text',
	'title'			=> esc_html__( 'Scroll Distance', 'miion' ),
	'description'	=> esc_html__( 'Enter smooth scroll distance in value. Example 40', 'miion' ),
	'default'		=> '40',
	'required'		=> array( 'smooth-opt', '=', 1 ),
	'refresh'		=> 1
);
MiionCustomizerConfig::buildFields( $settings );